Index: /other-projects/book-stumper/trunk/spreadsheet-template-footer.xml
===================================================================
--- /other-projects/book-stumper/trunk/spreadsheet-template-footer.xml	(revision 33354)
+++ /other-projects/book-stumper/trunk/spreadsheet-template-footer.xml	(revision 33354)
@@ -0,0 +1,13 @@
+  </Table>
+  <WorksheetOptions xmlns="urn:schemas-microsoft-com:office:excel">
+   <PageSetup>
+    <Header x:Margin="0.3"/>
+    <Footer x:Margin="0.3"/>
+    <PageMargins x:Bottom="0.75" x:Left="0.7" x:Right="0.7" x:Top="0.75"/>
+   </PageSetup>
+   <Selected/>
+   <ProtectObjects>False</ProtectObjects>
+   <ProtectScenarios>False</ProtectScenarios>
+  </WorksheetOptions>
+ </Worksheet>
+</Workbook>
Index: /other-projects/book-stumper/trunk/spreadsheet-template-header.xml
===================================================================
--- /other-projects/book-stumper/trunk/spreadsheet-template-header.xml	(revision 33354)
+++ /other-projects/book-stumper/trunk/spreadsheet-template-header.xml	(revision 33354)
@@ -0,0 +1,60 @@
+<?xml version="1.0"?>
+<?mso-application progid="Excel.Sheet"?>
+<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet"
+ xmlns:o="urn:schemas-microsoft-com:office:office"
+ xmlns:x="urn:schemas-microsoft-com:office:excel"
+ xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
+ xmlns:html="http://www.w3.org/TR/REC-html40">
+ <DocumentProperties xmlns="urn:schemas-microsoft-com:office:office">
+  <Author>davidb</Author>
+  <LastAuthor>davidb</LastAuthor>
+  <Created>2017-02-17T03:22:06Z</Created>
+  <Company>University of Waikato</Company>
+  <Version>15.00</Version>
+ </DocumentProperties>
+ <OfficeDocumentSettings xmlns="urn:schemas-microsoft-com:office:office">
+  <AllowPNG/>
+ </OfficeDocumentSettings>
+ <ExcelWorkbook xmlns="urn:schemas-microsoft-com:office:excel">
+  <WindowHeight>7680</WindowHeight>
+  <WindowWidth>16320</WindowWidth>
+  <WindowTopX>0</WindowTopX>
+  <WindowTopY>0</WindowTopY>
+  <Calculation>ManualCalculation</Calculation>
+  <ProtectStructure>False</ProtectStructure>
+  <ProtectWindows>False</ProtectWindows>
+ </ExcelWorkbook>
+ <Styles>
+  <Style ss:ID="Default" ss:Name="Normal">
+   <Alignment ss:Vertical="Bottom"/>
+   <Borders/>
+   <Font ss:FontName="Calibri" x:Family="Swiss" ss:Size="11" ss:Color="#000000"/>
+   <Interior/>
+   <NumberFormat/>
+   <Protection/>
+  </Style>
+  <Style ss:ID="sPlainText">
+   <Font ss:FontName="Calibri" x:Family="Swiss" ss:Color="#000000"/>
+  </Style>
+  <Style ss:ID="sHeadingText">
+   <Font ss:FontName="Calibri" x:Family="Swiss" ss:Color="#000000" ss:Italic="1"/>
+  </Style>
+  <Style ss:ID="sHtmlWrap">
+    <Alignment ss:Vertical="Top" ss:WrapText="1"/>
+   <Font ss:FontName="Calibri" x:Family="Swiss" ss:Color="#000000"/>
+  </Style>  
+ </Styles>
+ <Worksheet ss:Name="####Worksheet####">
+  <Table ss:ExpandedColumnCount="5" x:FullColumns="1"
+	 x:FullRows="1" ss:DefaultRowHeight="20">
+   <Column ss:AutoFitWidth="0" ss:Width="79.5"/>
+   <Column ss:AutoFitWidth="0" ss:Width="186.75"/>
+   <Column ss:AutoFitWidth="0" ss:Width="835.25"/>
+   <Column ss:AutoFitWidth="0" ss:Width="46.75"/>
+   <Column ss:AutoFitWidth="0" ss:Width="186.75"/>
+    <Row>
+      <Cell ss:StyleID="sHeadingText"><Data ss:Type="String">Reference ID</Data></Cell>
+      <Cell ss:StyleID="sHeadingText"><Data ss:Type="String">Title</Data></Cell>
+      <Cell ss:StyleID="sHeadingText"><Data ss:Type="String">Posting</Data></Cell>
+      <Cell ss:StyleID="sHeadingText"><Data ss:Type="String">Num icons</Data></Cell>
+    </Row>
Index: /other-projects/book-stumper/trunk/spreadsheet-template.xml
===================================================================
--- /other-projects/book-stumper/trunk/spreadsheet-template.xml	(revision 33354)
+++ /other-projects/book-stumper/trunk/spreadsheet-template.xml	(revision 33354)
@@ -0,0 +1,52 @@
+<?xml version="1.0"?>
+<?mso-application progid="Excel.Sheet"?>
+<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet"
+ xmlns:o="urn:schemas-microsoft-com:office:office"
+ xmlns:x="urn:schemas-microsoft-com:office:excel"
+ xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
+ xmlns:html="http://www.w3.org/TR/REC-html40">
+ <DocumentProperties xmlns="urn:schemas-microsoft-com:office:office">
+  <Author>davidb</Author>
+  <LastAuthor>davidb</LastAuthor>
+  <Created>2017-02-17T03:22:06Z</Created>
+  <Company>University of Waikato</Company>
+  <Version>15.00</Version>
+ </DocumentProperties>
+ <OfficeDocumentSettings xmlns="urn:schemas-microsoft-com:office:office">
+  <AllowPNG/>
+ </OfficeDocumentSettings>
+ <ExcelWorkbook xmlns="urn:schemas-microsoft-com:office:excel">
+  <WindowHeight>7680</WindowHeight>
+  <WindowWidth>16320</WindowWidth>
+  <WindowTopX>0</WindowTopX>
+  <WindowTopY>0</WindowTopY>
+  <Calculation>ManualCalculation</Calculation>
+  <ProtectStructure>False</ProtectStructure>
+  <ProtectWindows>False</ProtectWindows>
+ </ExcelWorkbook>
+ <Styles>
+  <Style ss:ID="Default" ss:Name="Normal">
+   <Alignment ss:Vertical="Bottom"/>
+   <Borders/>
+   <Font ss:FontName="Calibri" x:Family="Swiss" ss:Size="11" ss:Color="#000000"/>
+   <Interior/>
+   <NumberFormat/>
+   <Protection/>
+  </Style>
+ </Styles>
+ <Worksheet ss:Name="Sheet1">
+  <Table ss:ExpandedColumnCount="1" ss:ExpandedRowCount="1" x:FullColumns="1"
+   x:FullRows="1" ss:DefaultRowHeight="15">
+  </Table>
+  <WorksheetOptions xmlns="urn:schemas-microsoft-com:office:excel">
+   <PageSetup>
+    <Header x:Margin="0.3"/>
+    <Footer x:Margin="0.3"/>
+    <PageMargins x:Bottom="0.75" x:Left="0.7" x:Right="0.7" x:Top="0.75"/>
+   </PageSetup>
+   <Selected/>
+   <ProtectObjects>False</ProtectObjects>
+   <ProtectScenarios>False</ProtectScenarios>
+  </WorksheetOptions>
+ </Worksheet>
+</Workbook>