Index: /other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-PNG-10PAGES.sh
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-PNG-10PAGES.sh	(revision 33366)
+++ /other-projects/is-sheet-music-encore/trunk/COMPX520-DOWNLOADER-PNG-10PAGES.sh	(revision 33367)
@@ -13,5 +13,5 @@
    do
     	echo "id: $id  page_num: $page_num" 	
-    	./COMPX520-RUN-PNG.sh $id $page_num
+    	./COMPX520-RUN-PNG.sh $id $page_num 
     	page_num=$((page_num+1))
     	count=$((count+1))
Index: /other-projects/is-sheet-music-encore/trunk/Makefile
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/Makefile	(revision 33366)
+++ /other-projects/is-sheet-music-encore/trunk/Makefile	(revision 33367)
@@ -180,2 +180,20 @@
 	cd image-identification-terminal; less log-all/results.txt
 
+run-houghlinesP-refined-corpus-hi-res:
+	#cd image-identification-terminal; cd log-all-hires; rm *.txt
+        #Compile
+	cd image-identification-terminal; javac javaAccuracyCalculator.java
+	cd image-identification-terminal; javac -cp /Scratch/cpb16/opencv-3.4.2/build/bin/opencv-342.jar javaImageClassifier.java;
+        #Run javaImageClassifier on all images in Corpus
+	#cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MU houghlinesP-refined log-all-hires/log-houghlinesP-refined-MU.txt -all
+	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/BK houghlinesP-refined log-all-hires/log-houghlinesP-refined-BK.txt -all
+	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/MP houghlinesP-refined log-all-hires/log-houghlinesP-refined-MP.txt -all
+	cd image-identification-terminal; ./runClassifer.sh /Scratch/cpb16/is-sheet-music-encore/hires-download-images/SE houghlinesP-refined log-all-hires/log-houghlinesP-refined-SE.txt -all
+        #Calculate the Accuracy of the classifier
+	#cd image-identification-terminal; java javaAccuracyCalculator log-all-hires/log-houghlinesP-refined-MU.txt houghlinesP-refined-MU log-all-hires/results.txt
+	cd image-identification-terminal; java javaAccuracyCalculator log-all-hires/log-houghlinesP-refined-BK.txt houghlinesP-refined-BK log-all-hires/results.txt
+	cd image-identification-terminal; java javaAccuracyCalculator log-all-hires/log-houghlinesP-refined-MP.txt houghlinesP-refined-MP log-all-hires/results.txt
+	cd image-identification-terminal; java javaAccuracyCalculator log-all-hires/log-houghlinesP-refined-SE.txt houghlinesP-refined-SE log-all-hires/results.txt
+        #Display the results
+	cd image-identification-terminal; less log-all-hires/results.txt
+
Index: /other-projects/is-sheet-music-encore/trunk/image-identification-development/.idea/workspace.xml
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/image-identification-development/.idea/workspace.xml	(revision 33366)
+++ /other-projects/is-sheet-music-encore/trunk/image-identification-development/.idea/workspace.xml	(revision 33367)
@@ -4,5 +4,4 @@
     <list default="true" readonly="true" id="9bad4f92-4a7d-46a2-b6f0-94214c9f55cc" name="Default" comment="">
       <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/out/production/image-identification/Main.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/image-identification/Main.class" afterDir="false" />
       <change beforePath="$PROJECT_DIR$/src/Main.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/Main.java" afterDir="false" />
     </list>
@@ -20,9 +19,9 @@
   <component name="FileEditorManager">
     <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
-      <file leaf-file-name="Main.java" pinned="false" current-in-tab="false">
+      <file leaf-file-name="Main.java" pinned="false" current-in-tab="true">
         <entry file="file://$PROJECT_DIR$/src/Main.java">
           <provider selected="true" editor-type-id="text-editor">
-            <state relative-caret-position="1520">
-              <caret line="719" selection-start-line="719" selection-end-line="732" selection-end-column="21" />
+            <state relative-caret-position="399">
+              <caret line="812" column="12" lean-forward="true" selection-start-line="812" selection-start-column="12" selection-end-line="812" selection-end-column="12" />
               <folding>
                 <element signature="imports" expanded="true" />
@@ -41,28 +40,5 @@
                 <element signature="method#ClassifierLineCluster#0;class#Main#0" />
                 <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
-              </folding>
-            </state>
-          </provider>
-        </entry>
-      </file>
-      <file leaf-file-name="javaImageClassifier.java" pinned="false" current-in-tab="true">
-        <entry file="file://$PROJECT_DIR$/../image-identification-terminal/javaImageClassifier.java">
-          <provider selected="true" editor-type-id="text-editor">
-            <state relative-caret-position="570">
-              <caret line="96" column="26" selection-start-line="96" selection-start-column="26" selection-end-line="96" selection-end-column="26" />
-              <folding>
-                <element signature="imports" expanded="true" />
-                <element signature="n#!!doc;n#javaImageClassifier#0" />
-                <element signature="class#StartAndEndPoint#0;class#javaImageClassifier#0" />
-                <element signature="e#3854#3863#0" />
-                <element signature="method#setup_HoughLinesP#0;class#javaImageClassifier#0" />
-                <element signature="method#classifier_HoughLinesP#0;class#javaImageClassifier#0" />
-                <element signature="method#setup_HoughLinesP_refined#0;class#javaImageClassifier#0" />
-                <element signature="method#classifier_HoughLinesP_refined#0;class#javaImageClassifier#0" />
-                <element signature="method#toBufferedImage#0;class#javaImageClassifier#0" />
-                <element signature="method#ClusterCheck#0;class#javaImageClassifier#0" />
-                <element signature="method#VarianceCalc#0;class#javaImageClassifier#0" />
-                <element signature="method#lineComparison#0;class#javaImageClassifier#0" />
-                <element signature="method#removeDuplicates#0;class#javaImageClassifier#0" />
+                <element signature="method#LineCountOrCluster#0;class#Main#0" />
               </folding>
             </state>
@@ -81,14 +57,14 @@
     <option name="CHANGED_PATHS">
       <list>
+        <option value="$PROJECT_DIR$/../image-identification-terminal/javaImageClassifier.java" />
         <option value="$PROJECT_DIR$/src/Main.java" />
-        <option value="$PROJECT_DIR$/../image-identification-terminal/javaImageClassifier.java" />
       </list>
     </option>
   </component>
   <component name="ProjectFrameBounds" extendedState="6">
-    <option name="x" value="603" />
+    <option name="x" value="562" />
     <option name="y" value="24" />
-    <option name="width" value="918" />
-    <option name="height" value="1026" />
+    <option name="width" value="908" />
+    <option name="height" value="996" />
   </component>
   <component name="ProjectView">
@@ -211,5 +187,5 @@
       <window_info anchor="right" content_ui="combo" id="Hierarchy" order="7" weight="0.25" />
       <window_info anchor="right" id="Capture Analysis" order="0" />
-      <window_info anchor="bottom" id="Run" order="6" visible="true" weight="0.34662578" />
+      <window_info anchor="bottom" id="Version Control" order="2" />
       <window_info anchor="right" id="Theme Preview" order="2" />
       <window_info content_ui="combo" id="Project" order="5" visible="true" weight="0.18382749" />
@@ -218,5 +194,5 @@
       <window_info anchor="right" id="Ant Build" order="6" weight="0.25" />
       <window_info anchor="bottom" id="TODO" order="10" />
-      <window_info anchor="bottom" id="Version Control" order="2" />
+      <window_info anchor="bottom" id="Run" order="6" visible="true" weight="0.34662578" />
       <window_info id="Image Layers" order="4" />
       <window_info id="Designer" order="0" />
@@ -244,5 +220,5 @@
         <breakpoints-dialog />
       </breakpoints-dialog>
-      <option name="time" value="27" />
+      <option name="time" value="30" />
     </breakpoint-manager>
   </component>
@@ -268,4 +244,51 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
+          </folding>
+        </state>
+      </provider>
+    </entry>
+    <entry file="file://$PROJECT_DIR$/../image-identification-terminal/javaImageClassifier.java">
+      <provider selected="true" editor-type-id="text-editor">
+        <state relative-caret-position="1824">
+          <caret line="96" column="26" selection-start-line="96" selection-start-column="26" selection-end-line="96" selection-end-column="26" />
+          <folding>
+            <element signature="imports" expanded="true" />
+            <element signature="n#!!doc;n#javaImageClassifier#0" />
+            <element signature="e#1743#2305#0" />
+            <element signature="e#4073#5568#0" />
+            <element signature="e#5573#6811#0" />
+            <element signature="e#6817#9109#0" />
+            <element signature="e#9114#9310#0" />
+            <element signature="e#10174#11093#0" />
+            <element signature="e#18880#21583#0" />
+            <element signature="e#21588#22252#0" />
+            <element signature="e#22257#22629#0" />
+            <element signature="e#22634#23395#0" />
+          </folding>
+        </state>
+      </provider>
+    </entry>
+    <entry file="file://$PROJECT_DIR$/src/Main.java">
+      <provider selected="true" editor-type-id="text-editor">
+        <state relative-caret-position="13661">
+          <caret line="719" selection-start-line="719" selection-end-line="732" selection-end-column="21" />
+          <folding>
+            <element signature="imports" expanded="true" />
+            <element signature="class#StartAndEndPoint#0;class#Main#0" />
+            <element signature="e#5318#5319#0" expanded="true" />
+            <element signature="e#5352#5353#0" expanded="true" />
+            <element signature="method#removeDuplicates#0;class#Main#0" />
+            <element signature="method#StandardDeviation#0;class#Main#0" />
+            <element signature="method#VarianceCalc#0;class#Main#0" />
+            <element signature="method#lineComparison#0;class#Main#0" />
+            <element signature="method#ClusterCheck#0;class#Main#0" />
+            <element signature="method#toBufferedImage#0;class#Main#0" />
+            <element signature="method#ClassifierPixelCount#0;class#Main#0" />
+            <element signature="method#ClassifierLineCount#0;class#Main#0" />
+            <element signature="method#ClassifierLineClusterOLD#0;class#Main#0" />
+            <element signature="method#ClassifierLineCluster#0;class#Main#0" />
+            <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -279,15 +302,14 @@
             <element signature="imports" expanded="true" />
             <element signature="n#!!doc;n#javaImageClassifier#0" />
-            <element signature="class#StartAndEndPoint#0;class#javaImageClassifier#0" />
-            <element signature="e#3854#3863#0" />
-            <element signature="method#setup_HoughLinesP#0;class#javaImageClassifier#0" />
-            <element signature="method#classifier_HoughLinesP#0;class#javaImageClassifier#0" />
-            <element signature="method#setup_HoughLinesP_refined#0;class#javaImageClassifier#0" />
-            <element signature="method#classifier_HoughLinesP_refined#0;class#javaImageClassifier#0" />
-            <element signature="method#toBufferedImage#0;class#javaImageClassifier#0" />
-            <element signature="method#ClusterCheck#0;class#javaImageClassifier#0" />
-            <element signature="method#VarianceCalc#0;class#javaImageClassifier#0" />
-            <element signature="method#lineComparison#0;class#javaImageClassifier#0" />
-            <element signature="method#removeDuplicates#0;class#javaImageClassifier#0" />
+            <element signature="e#1743#2305#0" />
+            <element signature="e#4073#5568#0" />
+            <element signature="e#5573#6811#0" />
+            <element signature="e#6817#9109#0" />
+            <element signature="e#9114#9310#0" />
+            <element signature="e#10174#11093#0" />
+            <element signature="e#18880#21583#0" />
+            <element signature="e#21588#22252#0" />
+            <element signature="e#22257#22629#0" />
+            <element signature="e#22634#23395#0" />
           </folding>
         </state>
@@ -314,4 +336,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -338,4 +361,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -362,4 +386,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -386,4 +411,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -410,4 +436,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -434,4 +461,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -458,4 +486,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -482,4 +511,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -506,4 +536,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -530,4 +561,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -554,4 +586,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -578,4 +611,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -602,4 +636,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -626,4 +661,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -650,4 +686,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -674,4 +711,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -698,4 +736,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -722,4 +761,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -746,4 +786,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -770,4 +811,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -794,4 +836,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -818,4 +861,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -842,4 +886,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -866,4 +911,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -890,4 +936,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -914,4 +961,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -938,4 +986,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -962,4 +1011,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -986,4 +1036,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -1010,4 +1061,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -1034,4 +1086,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -1058,4 +1111,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -1082,4 +1136,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -1106,4 +1161,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -1130,4 +1186,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -1154,4 +1211,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -1178,4 +1236,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -1202,4 +1261,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -1226,4 +1286,5 @@
             <element signature="method#ClassifierLineCluster#0;class#Main#0" />
             <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
@@ -1272,46 +1333,46 @@
       </provider>
     </entry>
-    <entry file="file://$PROJECT_DIR$/src/Main.java">
-      <provider selected="true" editor-type-id="text-editor">
-        <state relative-caret-position="1520">
-          <caret line="719" selection-start-line="719" selection-end-line="732" selection-end-column="21" />
-          <folding>
-            <element signature="imports" expanded="true" />
-            <element signature="class#StartAndEndPoint#0;class#Main#0" />
-            <element signature="e#5318#5319#0" expanded="true" />
-            <element signature="e#5352#5353#0" expanded="true" />
-            <element signature="method#removeDuplicates#0;class#Main#0" />
-            <element signature="method#StandardDeviation#0;class#Main#0" />
-            <element signature="method#VarianceCalc#0;class#Main#0" />
-            <element signature="method#lineComparison#0;class#Main#0" />
-            <element signature="method#ClusterCheck#0;class#Main#0" />
-            <element signature="method#toBufferedImage#0;class#Main#0" />
-            <element signature="method#ClassifierPixelCount#0;class#Main#0" />
-            <element signature="method#ClassifierLineCount#0;class#Main#0" />
-            <element signature="method#ClassifierLineClusterOLD#0;class#Main#0" />
-            <element signature="method#ClassifierLineCluster#0;class#Main#0" />
-            <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
-          </folding>
-        </state>
-      </provider>
-    </entry>
     <entry file="file://$PROJECT_DIR$/../image-identification-terminal/javaImageClassifier.java">
       <provider selected="true" editor-type-id="text-editor">
-        <state relative-caret-position="570">
-          <caret line="96" column="26" selection-start-line="96" selection-start-column="26" selection-end-line="96" selection-end-column="26" />
+        <state relative-caret-position="-2668">
+          <caret line="116" column="61" selection-start-line="116" selection-start-column="61" selection-end-line="116" selection-end-column="61" />
           <folding>
             <element signature="imports" expanded="true" />
             <element signature="n#!!doc;n#javaImageClassifier#0" />
-            <element signature="class#StartAndEndPoint#0;class#javaImageClassifier#0" />
-            <element signature="e#3854#3863#0" />
-            <element signature="method#setup_HoughLinesP#0;class#javaImageClassifier#0" />
-            <element signature="method#classifier_HoughLinesP#0;class#javaImageClassifier#0" />
-            <element signature="method#setup_HoughLinesP_refined#0;class#javaImageClassifier#0" />
-            <element signature="method#classifier_HoughLinesP_refined#0;class#javaImageClassifier#0" />
-            <element signature="method#toBufferedImage#0;class#javaImageClassifier#0" />
-            <element signature="method#ClusterCheck#0;class#javaImageClassifier#0" />
-            <element signature="method#VarianceCalc#0;class#javaImageClassifier#0" />
-            <element signature="method#lineComparison#0;class#javaImageClassifier#0" />
-            <element signature="method#removeDuplicates#0;class#javaImageClassifier#0" />
+            <element signature="e#1743#2305#0" />
+            <element signature="e#4073#5568#0" />
+            <element signature="e#5573#6811#0" />
+            <element signature="e#6817#9109#0" />
+            <element signature="e#9114#9310#0" />
+            <element signature="e#10174#11093#0" />
+            <element signature="e#18880#21583#0" />
+            <element signature="e#21588#22252#0" />
+            <element signature="e#22257#22629#0" />
+            <element signature="e#22634#23395#0" />
+          </folding>
+        </state>
+      </provider>
+    </entry>
+    <entry file="file://$PROJECT_DIR$/src/Main.java">
+      <provider selected="true" editor-type-id="text-editor">
+        <state relative-caret-position="399">
+          <caret line="812" column="12" lean-forward="true" selection-start-line="812" selection-start-column="12" selection-end-line="812" selection-end-column="12" />
+          <folding>
+            <element signature="imports" expanded="true" />
+            <element signature="class#StartAndEndPoint#0;class#Main#0" />
+            <element signature="e#5318#5319#0" expanded="true" />
+            <element signature="e#5352#5353#0" expanded="true" />
+            <element signature="method#removeDuplicates#0;class#Main#0" />
+            <element signature="method#StandardDeviation#0;class#Main#0" />
+            <element signature="method#VarianceCalc#0;class#Main#0" />
+            <element signature="method#lineComparison#0;class#Main#0" />
+            <element signature="method#ClusterCheck#0;class#Main#0" />
+            <element signature="method#toBufferedImage#0;class#Main#0" />
+            <element signature="method#ClassifierPixelCount#0;class#Main#0" />
+            <element signature="method#ClassifierLineCount#0;class#Main#0" />
+            <element signature="method#ClassifierLineClusterOLD#0;class#Main#0" />
+            <element signature="method#ClassifierLineCluster#0;class#Main#0" />
+            <element signature="method#ClassifierLineClusterPt#0;class#Main#0" />
+            <element signature="method#LineCountOrCluster#0;class#Main#0" />
           </folding>
         </state>
Index: /other-projects/is-sheet-music-encore/trunk/image-identification-development/src/Main.java
===================================================================
--- /other-projects/is-sheet-music-encore/trunk/image-identification-development/src/Main.java	(revision 33366)
+++ /other-projects/is-sheet-music-encore/trunk/image-identification-development/src/Main.java	(revision 33367)
@@ -746,5 +746,5 @@
             Mat edgesDetectedRGB = new Mat();
             Mat clustersFoundRGB = new Mat();
-            String directory = "/Scratch/cpb16/is-sheet-music-encore/lowres-download-images/MU/";
+            String directory = "/Scratch/cpb16/is-sheet-music-encore/download-images/MU/";
             //!!!!!!!!!!!!!!!!!!!!!!!!!!!NOT!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
             //mdp.39015097852365-2.png 176 lines    Contents page.
@@ -752,7 +752,7 @@
             //!!!!!!!!!!!!!!!!!!!!!!!!!!!NOTNOT!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
             //coo.31924062612282-9.png 8   lines
-            //String default_file = directory+"NotSheetMusic/coo.31924062612282-9.png";
+            String default_file = directory+"NotSheetMusic/coo.31924062612282-9.png";
             //String default_file = directory+"NotSheetMusic/mdp.39015097852365-2.png";
-            String default_file ="TestImages/NotNot/mdp.39015080972303-3.png";
+            //String default_file ="TestImages/NotNot/mdp.39015080972303-3.png";
 
 
@@ -808,5 +808,4 @@
 
 
-
             //Display Results
             //HighGui.imshow("Source", original);
@@ -817,12 +816,10 @@
             //HighGui.imshow("Detected Lines (in red) - negative", edgesDetectedRGBProb);
 
-
-
-            //System.out.println("LINE COUNT RESULT:   " +  ClassifierLineCount(horizontalLineCount) + '\t' +"LinesFound: " + horizontalLineCount); //COUNT OF LINES CLASSIFICATION
+            System.out.println("LINE COUNT RESULT:   " +  ClassifierLineCount(horizontalLineCount) + '\t' +"LinesFound: " + horizontalLineCount); //COUNT OF LINES CLASSIFICATION
             //System.out.println("LINE CLUSTER RESULT: " +  ClassifierLineClusterOLD(toBeClassifiedImg).get(0) + '\t' + "LinesFound: " + ClassifierLineClusterOLD(toBeClassifiedImg).get(1) + '\t' + "ClustersFound: " + ClassifierLineClusterOLD(toBeClassifiedImg).get(2));
             //System.out.println("NEW CLUSTER RESULTS: " +  ClassifierLineClusterPt(pointArrayList,clustersFoundRGB).get(0) + '\t' + "LinesFound: " + horizontalLineCount + '\t' + "ClustersFound: " + ClassifierLineClusterPt(pointArrayList,clustersFoundRGB).get(1));
             //System.out.println(ClassifierLineClusterPt(pointArrayList, clustersFoundRGB));
 
-            System.out.println("TEST: " + LineCountOrCluster(horizontalLineCount, pointArrayList, clustersFoundRGB));
+            //System.out.println("TEST: " + LineCountOrCluster(horizontalLineCount, pointArrayList, clustersFoundRGB));
 
             // Wait and Exit