Index: /main/trunk/greenstone3/web/interfaces/default/transform/pages/help.xsl
===================================================================
--- /main/trunk/greenstone3/web/interfaces/default/transform/pages/help.xsl	(revision 33382)
+++ /main/trunk/greenstone3/web/interfaces/default/transform/pages/help.xsl	(revision 33383)
@@ -39,6 +39,14 @@
 
   <xsl:template name="homePageHelp">
-    home page help
-    what should go here??
+    <p><i>Under Construction</i></p>
+    This page should describe
+    <ul>
+      <li>Collections and Cross collection search</li>
+      <li>global preferences - language</li>
+      <li>Registering and logging in</li>
+      <li>Administration Page</li>
+      <li>links to collection help pages?</li>
+      <li>links to wiki for more info</li>
+    </ul>
   </xsl:template>
   
@@ -47,6 +55,8 @@
     <h2><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.collection_title', $collName)"/></h2>
 
+    <!-- link to general help page -->
+    <p><i><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.link_to_main', concat($library_name,'/page/help;', $library_name, '/page/gsdl'))"/></i></p>
     <!-- general intro text -->
-    <xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.collection_general')"/><br/><br/>
+    <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.collection_general')"/></p>
 
     <xsl:call-template name="browsingHelp"/>
@@ -70,5 +80,5 @@
   <xsl:template name="browsingHelp">
     <h3><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.browsing_title')"/></h3><br/>
-    <xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.browsing_general')"/>
+    <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.browsing_general')"/></p>
     <dl>
       <dt><img src="interfaces/{$interface_name}/images/bshelf.gif"/></dt>
@@ -86,6 +96,6 @@
   <xsl:template name="searchingHelp">
     <h3><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searching_title')"/></h3><br/>
-    <xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searching_quick')"/><br/><br/>
-    <xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searching_more')"/>
+    <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searching_quick')"/></p>
+    <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searching_more')"/></p>
     <dl>
       <xsl:for-each select="/page/pageResponse/collection/serviceList/service[@type='query']">
@@ -103,5 +113,5 @@
   <xsl:template name="searchParamsHelp">
        <h3><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searchparams_title')"/></h3><br/>
-       <xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searchparams_general')"/><br/>
+       <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searchparams_general')"/></p>
        <ul>
     <xsl:for-each select="/page/pageResponse/collection/serviceList/service[@type='query']/paramList/param[@type != 'invisible' and @type != 'enum_multi' and @type != 'multi' and not(@name=preceding::param/@name)]">
@@ -116,10 +126,8 @@
   <xsl:template name="searchResultsHelp">
     <h3><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searchresults_title')"/></h3><br/>
-    <xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searchresults_general')"/><br/>
+    <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searchresults_general')"/></p>
     <xsl:if test="/page/pageResponse/collection/serviceList/service[@type='query']/metadataList/metadata[@name='does_facetsearch']/@value='true'">
-      <dl>
-      <dt><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searchresults_facet_title')"/></dt>
-      <dd><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searchresults_facets')"/></dd>
-      </dl>
+      <h4><b><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searchresults_facet_title')"/></b></h4>
+      <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.searchresults_facets')"/></p>
     </xsl:if>
     <br/>
@@ -128,24 +136,28 @@
   <xsl:template name="documentHelp">
     <h3><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_title')"/></h3><br/>
-    <xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_general')"/><br/><br/>
-    <br/><br/>
-    <b><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_toc_title')"/></b><br/>
-    <xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_toc')"/><br/><br/>
-    <b><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_icons')"/></b><br/>
+    <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_general')"/></p>
+    <h4><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_toc_title')"/></h4>
+    <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_toc')"/></p>
+    <h4><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_icons')"/></h4>
     <dl>
       <dt><img src="interfaces/{$interface_name}/images/hl.png"/></dt>
       <dd><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_highlight')"/></dd>
+      <dt><img src="interfaces/{$interface_name}/images/floattoc.png"/></dt>
+      <dd><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_floattoc')"/></dd>
       <dt><img src="interfaces/{$interface_name}/images/zoom.png"/></dt>
       <dd><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_zoomer')"/></dd>
-      <dt><img src="interfaces/{$interface_name}/images/floattoc.png"/></dt>
-      <dd><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_floattoc')"/></dd>
+      <dt><img src="interfaces/{$interface_name}/images/slideshow.png"/></dt>
+      <dd><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.document_slideshow')"/></dd>
 	
     </dl>
+    <br/>
   </xsl:template>
+  
   <xsl:template name="favouriteBasketHelp">
     <xsl:variable name="fav_icon"><img src="interfaces/{$interface_name}/images/favourite-star-transparent-unselected32.png" width="16" height="16"/></xsl:variable>
     <xsl:variable name="fav_icon_selected"><img src="interfaces/{$interface_name}/images/favourite-star-transparent-selected32.png" width="16" height="16"/></xsl:variable>
     <h3><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.favourites_title')"/></h3><br/>
-    <xsl:value-of disable-output-escaping="yes" select="util:getInterfaceTextWithDOM($help_interface_name, /page/@lang, 'help.favourites', $fav_icon, $fav_icon_selected)"/><br/><br/>
+    <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceTextWithDOM($help_interface_name, /page/@lang, 'help.favourites', $fav_icon, $fav_icon_selected)"/></p>
+    <br/>
   </xsl:template>
 
@@ -153,5 +165,6 @@
     <xsl:variable name="berry_icon"><img src="interfaces/{$interface_name}/images/berry.png" width="16" height="16"/></xsl:variable>
     <h3><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.berrybasket_title')"/></h3><br/>
-    <xsl:value-of disable-output-escaping="yes" select="util:getInterfaceTextWithDOM($help_interface_name, /page/@lang, 'help.berrybasket', $berry_icon)"/><br/><br/>
+    <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceTextWithDOM($help_interface_name, /page/@lang, 'help.berrybasket', $berry_icon)"/></p>
+    <br/>
   </xsl:template>
   
@@ -159,5 +172,6 @@
     <xsl:variable name="rss_icon"><img src="interfaces/{$interface_name}/images/rssicon.png"/></xsl:variable>
     <h3><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.rss_title')"/></h3><br/>
-    <xsl:value-of disable-output-escaping="yes" select="util:getInterfaceTextWithDOM($help_interface_name, /page/@lang, 'help.rss', $rss_icon)"/><br/><br/>
+    <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceTextWithDOM($help_interface_name, /page/@lang, 'help.rss', $rss_icon)"/></p>
+    <br/>
   </xsl:template>
 