Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/LibraryServlet.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/LibraryServlet.java	(revision 33386)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/LibraryServlet.java	(revision 33387)
@@ -445,5 +445,4 @@
 		session.setMaxInactiveInterval(session_expiration);
 		String uid = session.getId();
-		logger.error("uid = "+uid);
 		request.setCharacterEncoding("UTF-8");
 		response.setContentType("text/html;charset=UTF-8");
@@ -464,10 +463,8 @@
 		userContext.setLanguage(lang);
 		userContext.setUserID(uid);
-		logger.error ("setting user context "+ uid);
 		if (request.getAuthType() != null)
 		{
 			//Get the username
-		  userContext.setUsername(request.getUserPrincipal().getName());
-		  logger.error("adding username "+request.getUserPrincipal().getName());
+  		  userContext.setUsername(request.getUserPrincipal().getName());
 
 			//Get the groups for the user
@@ -552,5 +549,4 @@
 			should_cache = false;
 
-			logger.error("KATH: cleaning up the cache");
 			// we may want to remove all collection cache info, or just a specific collection
 			boolean clean_all = true;
@@ -608,6 +604,4 @@
 		}
 		
-		 logger.error("should_cache= " + should_cache);
-		 logger.error("cache key = " + cache_key);
 		//clear the collection-specific cache in the session, since we have no way to know whether this session is 
 		//about the same collection as the last session or not.
@@ -619,5 +613,4 @@
 			{
 				session.removeAttribute(name);
-				logger.error("XXX removing "+name+" from the session");
 			}
 		}
@@ -632,10 +625,8 @@
 			if (session_ids_table.containsKey(sid))
 			{
-			  logger.error("cache contains sesion id");
 				session_cache = session_ids_table.get(sid);
 				param_table = session_cache.getParamsTable();
 				if (param_table.containsKey(cache_key))
 				{
-					logger.error("existing table: " + cache_key);
 					table = param_table.get(cache_key);
 				}
@@ -644,5 +635,4 @@
 					table = new Hashtable<String, String>();
 					param_table.put(cache_key, table);
-					logger.error("new table: " + cache_key);
 					new_table = true;
 				}
@@ -650,5 +640,4 @@
 			else
 			{
-			  logger.error("cache doesn't contain session id");
 				param_table = new Hashtable<String, Hashtable<String, String>>();
 				table = new Hashtable<String, String>();
@@ -667,5 +656,4 @@
 			  String v = this.gs_params.getParamDefault(p);
 			  if (!p.equals(GSParams.ACTION) && !p.equals(GSParams.SUBACTION) && !p.equals(GSParams.LANGUAGE) && !p.equals(GSParams.OUTPUT)) {
-			    logger.error("adding to new table default param "+p+", "+v);
 			    table.put(p,v);
 			  }
@@ -704,5 +692,4 @@
 				{// we have already dealt with these
 
-				  logger.error("query map:" + name);
 					String value = "";
 					String[] values = queryMap.get(name);
@@ -718,10 +705,8 @@
 					if (this.gs_params.shouldSave(name) && table != null)
 					{
-					  logger.error("adding to table");
 						table.put(name, value);
 					}
 					else
 					{
-					  logger.error("adding param to xml param list");
 						Element param = msg_doc.createElement(GSXML.PARAM_ELEM);
 						param.setAttribute(GSXML.NAME_ATT, name);
@@ -743,5 +728,4 @@
 				{
 					String name = keys.nextElement();
-					logger.error("adding from table to session "+name);
 					session.setAttribute(name, table.get(name));
 				}
@@ -750,9 +734,7 @@
 			// put in all the params from the session cache
 			Enumeration params = session.getAttributeNames();
-			logger.error("add in session attributes");
 			while (params.hasMoreElements())
 			{
 				String name = (String) params.nextElement();
-				logger.error("session attribute "+name);
 				if (!name.equals(GSXML.USER_SESSION_CACHE_ATT) && !name.equals(GSParams.LANGUAGE) && !name.equals(GSXML.USER_ID_ATT))
 				{
@@ -1061,10 +1043,10 @@
 		if (table == null)
 		{
-			logger.info("cached table is null");
+		  //logger.info("cached table is null");
 			return;
 		}
 		if (table.size() == 0)
 		{
-			logger.info("cached table size is zero");
+		  //logger.info("cached table size is zero");
 			return;
 		}
@@ -1075,5 +1057,5 @@
 			num_cached_coll += cache_list.get(i).tableSize();
 		}
-		logger.info("Number of sessions : total number of cached collection info = " + table.size() + " : " + num_cached_coll);
+		//logger.info("Number of sessions : total number of cached collection info = " + table.size() + " : " + num_cached_coll);
 	}
 
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/core/MessageRouter.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/core/MessageRouter.java	(revision 33386)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/core/MessageRouter.java	(revision 33387)
@@ -177,5 +177,4 @@
 		    this.site_http_address = web_address + "/"+this.library_name+"/sites/" + this.site_name;
 		}
-		logger.error("KATH - site http address = "+this.site_http_address);
 		// are we behind a firewall?? - is there a better place to set up the proxy?
 		String host = GlobalProperties.getProperty("proxy.host");
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/core/URLFilter.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/core/URLFilter.java	(revision 33386)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/core/URLFilter.java	(revision 33387)
@@ -495,5 +495,5 @@
 					
 	Element mr_response = (Element)gsRouter.process(securityMessage);
-	logger.debug("security response = "+XMLConverter.getPrettyString(mr_response));
+	//logger.debug("security response = "+XMLConverter.getPrettyString(mr_response));
 
 	boolean verifiable_file = true;
@@ -538,6 +538,4 @@
 	  if (!verify.equals("")) {
 	  // we are asking for the main document, and we have been asked to verify the user 
-	  logger.error("KATH verifiable file is true");
-
 	  // have we done the test previously?
 	  boolean already_verified = false;
@@ -551,5 +549,4 @@
 	      // we haven't done this at all, set up the map
 	      verifiedUserMap = new Hashtable<String, UserTimer>();
-	      logger.error("KATH setting up new user map");
 	    } else {
 	      // check this map
@@ -558,20 +555,15 @@
 	      }
 	    }
-	    logger.error("KATH already verified = "+already_verified);
 	  }
 	  
 	  if (!already_verified) {
 	      // have we just  done the test?
-	      //String hmvf_response = request.getParameter(GSParams.VERIFIED);
 	      // hmvf param will be set by form if the verify page was submitted
 	      if (hmvf_response != null && hmvf_response.equals("1")) {
-		logger.error("user has submitted the form, check recaptcha response");
 		if (!securityResponse.getAttribute(GSXML.SITE_KEY_ATT).equals("")) {
 		  String recaptcha_response = request.getParameter(Authentication.RECAPTCHA_RESPONSE_PARAM);
 		  String secret_key = securityResponse.getAttribute(GSXML.SECRET_KEY_ATT);
 		  int result = Authentication.verifyRecaptcha(secret_key, recaptcha_response);
-		  logger.error("recaptcha result code = "+result);
 		  if (result == Authentication.NO_ERROR) {
-		    logger.error("RECAPTCHA SUCCESS, hopefully going to the document");
 		    already_verified = true;
 		    
@@ -603,6 +595,4 @@
 	    // or we have been asked to force the T&C
 	    // we need to display the verify page
-	    logger.error("KATH display verify page");
-	    //String new_url = context.getContextPath()+"/"+ context.getAttribute("LibraryName")+"?a=p&sa=verify&c="+collection+"&url="+url;
 	    String new_url = context.getContextPath()+"/"+ library_name+"?a=p&sa=verify&c="+collection+"&url="+url;			    
 	    ((HttpServletResponse)response).sendRedirect(new_url);
@@ -656,5 +646,5 @@
     if (metadataList.getLength() == 0) {
       
-      logger.error("Could not find the document related to this url");
+      logger.error("Could not find the document ID related to this url");
       return null;
     }